import unittest
from support import GNATCOLL_TestCase, chdir, pathsep
import os


class Test(GNATCOLL_TestCase):
    @chdir("ref1")
    def test_prj(self):
        self.gprbuild()
        self.runexec("obj/test_refcount", "test_refcount.out")

    @chdir("P106-022")
    def test_P106_022(self):
        self.gprbuild()
        self.runexec("obj/test_process", "")

    @chdir("P210-024")
    def test_P106_022(self):
        self.gprbuild()
        self.runexec("obj/test_notask", "using task_safe=FALSE")
        self.runexec("obj/test_protected", "using task_safe=FALSE")
        self.runexec("obj/test_task", "using task_safe=TRUE")
